﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_CAT_L') 
 CREATE TABLE T_ISC_SOLUTION_CAT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_CENTER') 
 CREATE TABLE T_ISC_SOLUTION_CENTER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FLOGO VARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAIL_TAG NCLOB,
FRES_COUNT BIGINT DEFAULT 0 NOT NULL,
FINTRODUCTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISNEW CHAR(1) DEFAULT '1' NOT NULL,
FKEY_WORDS VARCHAR(255) DEFAULT ' ' NOT NULL,
FIS_DEPLOYED CHAR(1) DEFAULT '0' NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIZE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_CENTER_L') 
 CREATE TABLE T_ISC_SOLUTION_CENTER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_KW') 
 CREATE TABLE T_ISC_SOLUTION_KW (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_MR') 
 CREATE TABLE T_ISC_SOLUTION_MR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FRES_PK VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FRES_TIME DATETIME,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSIZE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_RR') 
 CREATE TABLE T_ISC_SOLUTION_RR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FRES_PK VARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_TIME DATETIME,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSIZE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_SRC') 
 CREATE TABLE T_ISC_SOLUTION_SRC (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_COMP') 
 CREATE TABLE T_ISCB_RES_COMP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOLUTION BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROGRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_COMP_MR') 
 CREATE TABLE T_ISCB_RES_COMP_MR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FRES_PK VARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_TIME DATETIME,
FLOCAL_TIME DATETIME,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIZE BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_RES_COMP_RR') 
 CREATE TABLE T_ISCB_RES_COMP_RR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FRES_PK VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FRES_TIME DATETIME,
FLOCAL_TIME DATETIME,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIZE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DTS_IMP_HEADER' AND KSQL_COL_NAME ='FRES_ID') 
 ALTER TABLE T_ISCB_DTS_IMP_HEADER ADD (FRES_ID NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DTS_IMP_HEADER' AND KSQL_COL_NAME ='FRES_VERSION') 
 ALTER TABLE T_ISCB_DTS_IMP_HEADER ADD (FRES_VERSION NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_CN') 
 CREATE TABLE T_ISC_SOLUTION_CN (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SOLUTION_CAT') 
 CREATE TABLE T_ISC_SOLUTION_CAT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
