﻿/**Begin D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISC_SF_WAITING_SIGNAL', 'T_ISC_SF_WAITING_SIGNAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_SIGNAL_H') CREATE INDEX IDX_ISC_SF_WAITING_SIGNAL_H ON T_ISC_SF_WAITING_SIGNAL ( FHASH_CODE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_SIGNAL_T') CREATE INDEX IDX_ISC_SF_WAITING_SIGNAL_T ON T_ISC_SF_WAITING_SIGNAL ( FCREATED_TIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_SIGNAL_N') CREATE INDEX IDX_ISC_SF_WAITING_SIGNAL_N ON T_ISC_SF_WAITING_SIGNAL ( FSERVICE_PROCESS_NUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_SIGNAL_F') CREATE INDEX IDX_ISC_SF_WAITING_SIGNAL_F ON T_ISC_SF_WAITING_SIGNAL ( FSERVICE_PROCESS_ID );


 EXEC P_ALTERPK 'PK_T_ISC_SF_WAITING_DATA', 'T_ISC_SF_WAITING_DATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_DATA_H') CREATE INDEX IDX_ISC_SF_WAITING_DATA_H ON T_ISC_SF_WAITING_DATA ( FHASH_CODE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_DATA_T') CREATE INDEX IDX_ISC_SF_WAITING_DATA_T ON T_ISC_SF_WAITING_DATA ( FCREATED_TIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SF_WAITING_DATA_F') CREATE INDEX IDX_ISC_SF_WAITING_DATA_F ON T_ISC_SF_WAITING_DATA ( FSERVICE_FLOW_ID );


 EXEC P_ALTERPK 'PK_T_ISC_SF_WAITING_EVENT', 'T_ISC_SF_WAITING_EVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SF_WAITING_EVENT_F') CREATE INDEX IDX_T_ISC_SF_WAITING_EVENT_F ON T_ISC_SF_WAITING_EVENT ( FSERVICE_FLOW_ID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SF_WAITING_EVENT_T') CREATE INDEX IDX_T_ISC_SF_WAITING_EVENT_T ON T_ISC_SF_WAITING_EVENT ( FCREATED_TIME );



/**End D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_constraint.sql **/
