﻿/**Begin D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FJOB_MUTEX')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FJOB_MUTEX BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_SERVICE_FLOW' AND KSQL_COL_NAME IN ('FJOB_MUTEX')) 
 ALTER TABLE T_ISC_SERVICE_FLOW ADD (FJOB_MUTEX BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER' AND KSQL_COL_NAME IN ('FJOB_MUTEX')) 
 ALTER TABLE T_ISC_DATA_COPY_TRIGGER ADD (FJOB_MUTEX BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_JOB_MUTEX') 
 CREATE TABLE T_ISC_JOB_MUTEX (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAX_THREADS INT DEFAULT 0 NOT NULL,
FLAST_MODIFIER_ID BIGINT DEFAULT 0 NOT NULL,
FLAST_MODIFIED_TIME DATETIME,
FSCOPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_JOB_MUTEX_L') 
 CREATE TABLE T_ISC_JOB_MUTEX_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_JOB_MUTEX_INSTANCE') 
 CREATE TABLE T_ISC_JOB_MUTEX_INSTANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSTANCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FIP VARCHAR(50) DEFAULT ' ' NOT NULL,
FLAST_MODIFIED_TIME DATETIME,
FOCCUPIED_TIME DATETIME
);



/**End D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
