﻿/**Begin D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_CONNECTION_TYPE') 
 CREATE TABLE T_ISCB_CONNECTION_TYPE (
FID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGIN_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FLOGIN_SCRIPT_TAG NCLOB,
INVOKE_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
INVOKE_SCRIPT_TAG NCLOB,
FINVOKE_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FINVOKE_SCRIPT_TAG NCLOB,
FFACTORY_CLASS VARCHAR(300) DEFAULT ' ' NOT NULL,
FCONFIG_FORM VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_CONNECTION_TYPE_L') 
 CREATE TABLE T_ISCB_CONNECTION_TYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DATASET_SCHEMA') 
 CREATE TABLE T_ISCB_DATASET_SCHEMA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(510) DEFAULT ' ' NOT NULL,
FDEFINE_JSON VARCHAR(510) DEFAULT ' ' NOT NULL,
FDEFINE_JSON_TAG NCLOB,
FDATA_SOURCE BIGINT DEFAULT 0 NOT NULL,
FMETA_TYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFULL_NAME VARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DATASET_SCHEMA_L') 
 CREATE TABLE T_ISCB_DATASET_SCHEMA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
