
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_GRAY_FEATURE')
CREATE TABLE T_ISC_GRAY_FEATURE (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
    FTENANT VARCHAR(50) DEFAULT ' ' NOT NULL,
    FACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
    FENV_SIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATOR_ID BIGINT,
    FCREATED_TIME DATETIME,
    FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEXPIRED_TIME DATETIME,
    FLICENSE_CONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL
);

EXEC P_ALTERPK 'PK_T_ISC_GRAY_FEATURE', 'T_ISC_GRAY_FEATURE', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_GRAY_FEATURE_NUMBER') CREATE INDEX IDX_ISC_GRAY_FEATURE_NUMBER ON T_ISC_GRAY_FEATURE ( FNUMBER );