﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DATA_ELEMENT') 
 CREATE TABLE T_ISCB_DATA_ELEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FELEMENT_TYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DATA_ELEMENT_L') 
 CREATE TABLE T_ISCB_DATA_ELEMENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_OID_LOOKUP') 
 CREATE TABLE T_ISCB_OID_LOOKUP (
FID VARCHAR(22) DEFAULT ' ' NOT NULL,
FSOURCE_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FSOURCE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE_OID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGET_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FTARGET_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGET_OID VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRY_MAPPING VARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTRY_MAPPING_TAG NCLOB,
FCREATED_TIME BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
