﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME ='FTASKSTAGE') 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FTASKSTAGE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER' AND KSQL_COL_NAME ='FTASKSIZE') 
 ALTER TABLE T_ISC_DATA_COPY_TRIGGER ADD (FTASKSIZE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME ='FSUPPORTS_FILE_COPY') 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FSUPPORTS_FILE_COPY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_ATTACH_LOG') 
 CREATE TABLE T_ISC_ATTACH_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FERROR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FERROR_TAG NCLOB,
FTASK BIGINT DEFAULT 0 NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FSCHEMA BIGINT DEFAULT 0 NOT NULL,
FTRIGGER BIGINT DEFAULT 0 NOT NULL,
FPROGRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBYTES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FATTACHID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FATTACHNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUPDATED_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_ATTACHMENT') 
 CREATE TABLE T_ISC_ATTACHMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FSRC_CN BIGINT DEFAULT 0 NOT NULL,
FTAR_CN BIGINT DEFAULT 0 NOT NULL,
FSRC_TABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRC_NUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRC_ATTACH NVARCHAR(50) DEFAULT ' ' NOT NULL,
F1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
F2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
F3 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILE_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FSTATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTAR_ATTACH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRC_OID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUPDATED_TIME DATETIME,
FFILE_DESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMD5_CODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBYTES BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_DC_TRIGGER_L') 
 CREATE TABLE T_ISCB_APIC_BY_DC_TRIGGER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_META_DATA' AND KSQL_COL_NAME ='FRECORD_LOG') 
 ALTER TABLE T_ISCB_APIC_BY_META_DATA ADD (FRECORD_LOG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_APIC_BY_DC_SCHEMA' AND KSQL_COL_NAME ='FRECORD_LOG') 
 ALTER TABLE T_ISCB_APIC_BY_DC_SCHEMA ADD (FRECORD_LOG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CALL_API_LOG') 
 CREATE TABLE T_ISC_CALL_API_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FDATA_COPY BIGINT DEFAULT 0 NOT NULL,
FMETA_SCHEMA BIGINT DEFAULT 0 NOT NULL,
FSERVER_ID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FSTATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMESSAGE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB,
FAPI_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CUSTOM_FUNCTION_L') 
 CREATE TABLE T_ISC_CUSTOM_FUNCTION_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_FUNCTION_GROUP') 
 CREATE TABLE T_ISC_FUNCTION_GROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_FUNCTION_GROUP_L') 
 CREATE TABLE T_ISC_FUNCTION_GROUP_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_FUNCTION_PARAM') 
 CREATE TABLE T_ISC_FUNCTION_PARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFUNCTION_NAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFUNCTION_TITLE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFUNCTION_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFUNCTION_REMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_FUNCTION_RESULT') 
 CREATE TABLE T_ISC_FUNCTION_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRESULT_NAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FRESULT_TITLE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FRESULT_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRESULT_REMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_ATTACHMENT_TEMP') 
 CREATE TABLE T_ISC_ATTACHMENT_TEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FURL VARCHAR(200) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBYTES VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FTEMP_NAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CUSTOM_FUNCTION') 
 CREATE TABLE T_ISC_CUSTOM_FUNCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(20) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUP BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCRIPT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_DC_TRIGGER') 
 CREATE TABLE T_ISCB_APIC_BY_DC_TRIGGER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATA_COPY BIGINT DEFAULT 0 NOT NULL,
FTRIGGER BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_TYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATA_SOURCE BIGINT DEFAULT 0 NOT NULL,
FRECORD_LOG CHAR(1) DEFAULT '0'
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
