﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
/** IF EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATASCHEMA' AND KSQL_COL_NAME ='FSTATE') 
 EXEC p_AlterColumn 'T_ISC_DATASCHEMA', 'FSTATE', 'NVARCHAR(5)', 'NOT NULL', '1111', '''0''';**/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_CON_EVT_QUE') 
 CREATE TABLE T_ISCB_CON_EVT_QUE (
FID VARCHAR(32) DEFAULT ' ' NOT NULL,
FCREATED_TIME BIGINT DEFAULT 0 NOT NULL,
FENTITY VARCHAR(150) DEFAULT ' ' NOT NULL,
FEVENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOID VARCHAR(100) DEFAULT ' ' NOT NULL,
FISC_HUB VARCHAR(32) DEFAULT ' ' NOT NULL,
FTRIGGER_TYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTRIGGER_ID VARCHAR(20) DEFAULT ' ' NOT NULL,
FSTATE CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIED_TIME BIGINT,
FDATA NCLOB DEFAULT ' ',
FERROR NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_CON_EVT_BND') 
 CREATE TABLE T_ISCB_CON_EVT_BND (
FID VARCHAR(32) DEFAULT ' ' NOT NULL,
FCREATED_TIME BIGINT DEFAULT 0 NOT NULL,
FISC_HUB VARCHAR(32) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FTRIGGER_TYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTRIGGER_ID VARCHAR(20) DEFAULT ' ' NOT NULL,
FEVENTS VARCHAR(1024) DEFAULT ' ' NOT NULL,
FREQUIRED_FIELDS NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME IN ('FMAPPING_SCRIPT')) 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FMAPPING_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME IN ('FMAPPING_SCRIPT_TAG')) 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FMAPPING_SCRIPT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_VALUE_CONVER_RULE' AND KSQL_COL_NAME IN ('FISC_SCRIPT')) 
 ALTER TABLE T_ISC_VALUE_CONVER_RULE ADD (FISC_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_VALUE_CONVER_RULE' AND KSQL_COL_NAME IN ('FISC_SCRIPT_TAG')) 
 ALTER TABLE T_ISC_VALUE_CONVER_RULE ADD (FISC_SCRIPT_TAG NCLOB );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
