﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_BY_META_FT') 
 CREATE TABLE T_ISCB_APIC_BY_META_FT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFILTER_LEFT_BRACKET VARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_COLUMN VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_LABEL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFILTER_COMPARE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_VALUE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_RIGHT_BRACKET VARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_LINK NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API_OUT' AND KSQL_COL_NAME ='FOUTPUT_IS_ARRAY') 
 ALTER TABLE T_ISCB_EXTERNAL_API_OUT ADD (FOUTPUT_IS_ARRAY VARCHAR(20) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_1') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_1 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_2') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_2 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_3') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_3 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_4') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_4 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_5') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_5 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_6') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_6 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_7') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_7 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_8') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_8 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATABASE_LINK' AND KSQL_COL_NAME ='FATTR_9') 
 ALTER TABLE T_ISC_DATABASE_LINK ADD (FATTR_9 VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API' AND KSQL_COL_NAME ='FAUTH_REQUIRED') 
 ALTER TABLE T_ISCB_EXTERNAL_API ADD (FAUTH_REQUIRED CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API' AND KSQL_COL_NAME ='FRECORD_LOG') 
 ALTER TABLE T_ISCB_EXTERNAL_API ADD (FRECORD_LOG CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API_IN' AND KSQL_COL_NAME ='FINPUT_IS_ARRAY') 
 ALTER TABLE T_ISCB_EXTERNAL_API_IN ADD (FINPUT_IS_ARRAY VARCHAR(20) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API_IN' AND KSQL_COL_NAME ='FREQUIRED') 
 ALTER TABLE T_ISCB_EXTERNAL_API_IN ADD (FREQUIRED VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXTERNAL_API_IN' AND KSQL_COL_NAME ='FDEFAULT_VALUE') 
 ALTER TABLE T_ISCB_EXTERNAL_API_IN ADD (FDEFAULT_VALUE VARCHAR(500) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
