﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_CALLER') 
 CREATE TABLE T_ISCB_APIC_CALLER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_CALLER_L') 
 CREATE TABLE T_ISCB_APIC_CALLER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_LOG') 
 CREATE TABLE T_ISCB_APIC_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FAPI_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPI_REF BIGINT DEFAULT 0 NOT NULL,
FSTART_TIME DATETIME,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEND_TIME DATETIME,
FPARAMS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAMS_TAG NCLOB,
FRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT_TAG NCLOB,
FSERVER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCALLER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_SCRIPT') 
 CREATE TABLE T_ISCB_APIC_SCRIPT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FAUTH_REQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FRECORD_LOG CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSCRIPT_TAG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCRIPT_TAG_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_SCRIPT_INPUT') 
 CREATE TABLE T_ISCB_APIC_SCRIPT_INPUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINPUT_FIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINPUT_DATA_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINPUT_IS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FINPUT_DESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDEFAULT_VALUE NVARCHAR(500) DEFAULT ' ' NOT NULL,
FREQUIRED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_SCRIPT_L') 
 CREATE TABLE T_ISCB_APIC_SCRIPT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_SCRIPT_OUTPUT') 
 CREATE TABLE T_ISCB_APIC_SCRIPT_OUTPUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOUTPUT_FIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTPUT_DATA_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOUTPUT_IS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FOUTPUT_DESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_SCRIPT_RES') 
 CREATE TABLE T_ISCB_APIC_SCRIPT_RES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCATEGORY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRESOUCE BIGINT DEFAULT 0 NOT NULL,
FALIAS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_OID_LOOKUP') 
 CREATE TABLE T_ISCB_OID_LOOKUP (
FID VARCHAR(22) DEFAULT ' ' NOT NULL,
FSOURCE_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FSOURCE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE_OID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGET_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FTARGET_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGET_OID VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRY_MAPPING VARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTRY_MAPPING_TAG NCLOB,
FCREATED_TIME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_CONNECTION_TYPE' AND KSQL_COL_NAME ='FSCRIPT_EXTENSION') 
 ALTER TABLE T_ISCB_CONNECTION_TYPE ADD (FSCRIPT_EXTENSION VARCHAR(4000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DEMO_PERSON') 
 CREATE TABLE T_ISCB_DEMO_PERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPENID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DEMO_PERSON_L') 
 CREATE TABLE T_ISCB_DEMO_PERSON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_APIC_PERMISSION') 
 CREATE TABLE T_ISCB_APIC_PERMISSION (
FID BIGINT DEFAULT 0 NOT NULL,
FAPI_TYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPI_REF BIGINT DEFAULT 0 NOT NULL,
FAPI_CALLER BIGINT DEFAULT 0 NOT NULL,
FCREATOR_ID BIGINT DEFAULT 0 NOT NULL,
FCREATED_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_TMP_MAIN') 
 CREATE TABLE T_ISCB_TMP_MAIN (
FID VARCHAR(32) DEFAULT ' ' NOT NULL,
FTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
