﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISC_EX_TRIGGER_PARAMS', 'T_ISC_EX_TRIGGER_PARAMS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_EX_TRIGGER_PARAMS_FK') CREATE INDEX IDX_ISC_EX_TRIGGER_PARAMS_FK ON T_ISC_EX_TRIGGER_PARAMS ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_FILE_FILTER', 'T_ISCB_EXPORT_FILE_FILTER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_EXPORT_FILE_FILTER_FK') CREATE INDEX IDX_ISC_EXPORT_FILE_FILTER_FK ON T_ISCB_EXPORT_FILE_FILTER ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_FILE_ORDER', 'T_ISCB_EXPORT_FILE_ORDER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_EXPORT_FILE_ORDER_FK') CREATE INDEX IDX_ISC_EXPORT_FILE_ORDER_FK ON T_ISCB_EXPORT_FILE_ORDER ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_FILE_PARAM', 'T_ISCB_EXPORT_FILE_PARAM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_EXPORT_FILE_PARAM_FK') CREATE INDEX IDX_ISC_EXPORT_FILE_PARAM_FK ON T_ISCB_EXPORT_FILE_PARAM ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_JOB_PARAMS', 'T_ISCB_EXPORT_JOB_PARAMS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_EXPORT_JOB_PARAMS_FK') CREATE INDEX IDX_ISC_EXPORT_JOB_PARAMS_FK ON T_ISCB_EXPORT_JOB_PARAMS ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_TRIGGER', 'T_ISCB_EXPORT_TRIGGER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_EXPORT_TRIGGER') CREATE INDEX IDX_ISCB_EXPORT_TRIGGER ON T_ISCB_EXPORT_TRIGGER ( FFILESCHEMA );


 EXEC P_ALTERPK 'PK_T_ISCB_IMPORT_FILE_ACT', 'T_ISCB_IMPORT_FILE_ACT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_IMPORT_FILE_ACT_FK') CREATE INDEX IDX_ISC_IMPORT_FILE_ACT_FK ON T_ISCB_IMPORT_FILE_ACT ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_IMPORT_FILE_INPUT', 'T_ISCB_IMPORT_FILE_INPUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_IMPORT_FILE_INPUT_FK') CREATE INDEX IDX_ISC_IMPORT_FILE_INPUT_FK ON T_ISCB_IMPORT_FILE_INPUT ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_IMPORT_FILE_LOG', 'T_ISCB_IMPORT_FILE_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_IMPORT_FILE_LOG') CREATE INDEX IDX_ISCB_IMPORT_FILE_LOG ON T_ISCB_IMPORT_FILE_LOG ( FIMPORT_FILE_JOB );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_FILE', 'T_ISCB_EXPORT_FILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EXPORT_FILE_SRC') CREATE INDEX IDX_EXPORT_FILE_SRC ON T_ISCB_EXPORT_FILE ( FGROUPID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_FILE_FIELD', 'T_ISCB_EXPORT_FILE_FIELD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_EXPORT_FILE_FIELD_FK') CREATE INDEX IDX_ISC_EXPORT_FILE_FIELD_FK ON T_ISCB_EXPORT_FILE_FIELD ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_EXPORT_FILE_JOB', 'T_ISCB_EXPORT_FILE_JOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_EXPORT_FILE_JOB') CREATE INDEX IDX_ISCB_EXPORT_FILE_JOB ON T_ISCB_EXPORT_FILE_JOB ( FEXPORT_TRIGGER );


 EXEC P_ALTERPK 'PK_T_ISCB_IMPORT_FILE', 'T_ISCB_IMPORT_FILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_IMPORT_FILE') CREATE INDEX IDX_ISCB_IMPORT_FILE ON T_ISCB_IMPORT_FILE ( FGROUPID );


 EXEC P_ALTERPK 'PK_T_ISCB_IMPORT_FILE_JOB', 'T_ISCB_IMPORT_FILE_JOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_IMPORT_FILE_JOB') CREATE INDEX IDX_ISCB_IMPORT_FILE_JOB ON T_ISCB_IMPORT_FILE_JOB ( FEXPORT_TRIGGER );


 EXEC P_ALTERPK 'PK_T_ISCB_IMPORT_TRIGGER', 'T_ISCB_IMPORT_TRIGGER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_IMPORT_TRIGGER') CREATE INDEX IDX_ISCB_IMPORT_TRIGGER ON T_ISCB_IMPORT_TRIGGER ( FFILESCHEMA );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
