﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_MQ_SERVER' AND KSQL_COL_NAME ='FSECURITY_PROTOCOL') 
 ALTER TABLE T_ISCB_MQ_SERVER ADD (FSECURITY_PROTOCOL VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_MQ_SERVER' AND KSQL_COL_NAME ='FMECHANISM_PROTOCOL') 
 ALTER TABLE T_ISCB_MQ_SERVER ADD (FMECHANISM_PROTOCOL VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_IMP_MRS2') 
 CREATE TABLE T_ISCB_DTS_IMP_MRS2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRES_TIME DATETIME,
FLOCAL_TIME DATETIME,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_PK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFILE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB,
FSTACK_TRACE NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DTS_IMP_RRS2') 
 CREATE TABLE T_ISCB_DTS_IMP_RRS2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRES_PK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRES_TIME DATETIME,
FLOCAL_TIME DATETIME,
FTYPE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFILE NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB,
FSTACK_TRACE NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXPORT_FILE' AND KSQL_COL_NAME ='FFILETYPE') 
 ALTER TABLE T_ISCB_EXPORT_FILE ADD (FFILETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXPORT_FILE' AND KSQL_COL_NAME ='FFILESIZE') 
 ALTER TABLE T_ISCB_EXPORT_FILE ADD (FFILESIZE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_IMPORT_FILE' AND KSQL_COL_NAME ='FFILETYPE') 
 ALTER TABLE T_ISCB_IMPORT_FILE ADD (FFILETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_EXPORT_FILE_JOB' AND KSQL_COL_NAME ='FFILETYPE') 
 ALTER TABLE T_ISCB_EXPORT_FILE_JOB ADD (FFILETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_IMPORT_FILE_JOB' AND KSQL_COL_NAME ='FFILETYPE') 
 ALTER TABLE T_ISCB_IMPORT_FILE_JOB ADD (FFILETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
