/**EAS系统**/
UPDATE T_ISCB_CONNECTION_TYPE SET FREMARK = '集成云内置的EAS系统连接器，通过帐套和租户信息连接EAS系统，用于与企业内部可信任系统之间的集成。需要在EAS中部署连接器包。' WHERE FID = '0COJ=WU33VQA';

/**当前帐套**/
UPDATE T_ISCB_CONNECTION_TYPE SET FREMARK = '当前登录的苍穹系统连接。' WHERE FID = '0COJ5GJ+UJWT';

/**金蝶云·星空**/
UPDATE T_ISCB_CONNECTION_TYPE SET FREMARK = '集成云内置的星空系统连接器，通过帐套和租户信息连接星空系统，用于与企业内部可信任系统之间的集成。' WHERE FID = '0COJMVJ=F9E7';

/**金蝶云·苍穹**/
UPDATE T_ISCB_CONNECTION_TYPE SET FREMARK = '集成云内置的苍穹系统连接器，通过帐套和租户信息连接苍穹系统，用于与企业内部可信任系统之间的集成。' WHERE FID = '0COJTI8QBFNB';

/**数据库代理**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '50', FREMARK = '通过数据库代理方式连接各类型的数据库，实现数据库集成。需要部署代理包。' WHERE FID = '0COJGXSTHEFW';

/**Oracle**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '51', FREMARK = '通过Oracle数据库信息连接Oracle数据库，直连数据库方式的集成。' WHERE FID = '0COI9MP6A9=I';

/**SQL Server**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '52', FREMARK = '通过SQL Server数据库信息连接SQL Server数据库，直连数据库方式的集成。' WHERE FID = '0COIGTUZ7LW1';

/**MySQL**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '53', FREMARK = '通过MySQL数据库信息连接MySQL数据库，直连数据库方式的集成。' WHERE FID = '0COJ1OGA4H==';

/**PostgreSQL**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '54', FREMARK = '通过PostgreSQL数据库信息连接PostgreSQL数据库，直连数据库方式的集成。' WHERE FID = '1/MNC2KV7H6Z';

/**Hive**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '70', FREMARK = '通过Hive数据仓库信息连接Hive数据仓库，直连数据库方式的集成。' WHERE FID = '14VNV=RJQT3A';

/**WebAPI-DEMO**/
UPDATE T_ISCB_CONNECTION_TYPE SET FREMARK = '通过WebAPI方式实现系统集成的演示示例。' WHERE FID = '0COGVJZHRHXS';

/**EAS-API**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '101', FREMARK = '若需要与企业外部的EAS系统（例如B2B场景或不信任系统）进行集成，建议使用该连接类型，通过WebAPI方式连接EAS系统实现系统集成。' WHERE FID = '1EFR/2TQ9A=L';

/**星空-API**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '102', FREMARK = '若需要与企业外部的星空系统（例如B2B场景或不信任系统）进行集成，建议使用该连接类型，通过WebAPI实现两者之间的集成。' WHERE FID = '1BSMY=KRVWI7';

/**苍穹-API**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '103', FREMARK = '若需要与企业外部的苍穹系统（例如B2B场景或不信任系统）进行集成，建议使用该连接类型，通过WebAPI实现两者之间的集成。' WHERE FID = '1F25H6PJMZEP';

/**SAP系统**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '199', FREMARK = '通过RFC连接方式与SAP ERP系统建立连接。' WHERE FID = '0Z=EDQWTK34Y';

/**云之家**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '200', FREMARK = '通过企业ID、密钥和服务器信息连接到云之家系统对外开放的接口平台实现集成。' WHERE FID = '0DOAHG1AUTNN';

/**企业微信**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '201', FREMARK = '通过企业微信服务器信息、企业ID和密钥连接企业微信对外开放的接口平台实现集成。' WHERE FID = '175VMG8V+VBU';

/**钉钉**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '202', FREMARK = '通过钉钉应用ID、应用密钥和服务器信息连接到钉钉对外开放的接口平台实现系统集成。' WHERE FID = '17N2UUN/SYRM';

/**WeLink**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '203', FREMARK = '通过WeLink客户端ID、客户端密钥和服务器信息连接到WeLink对外开放的接口平台实现系统集成。' WHERE FID = '13ZVQQHL536T';

/**京东**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '300', FREMARK = '通过API域名、ClientID和SecretID等信息连接京东系统对外开放的接口平台实现集成。' WHERE FID = '0UP0MIWQQQ5=';

/**苏宁**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '301', FREMARK = '通过API域名、AppKey和AppSecret信息连接到苏宁系统对外开放的接口平台实现系统集成。' WHERE FID = '0Z6V293/C653';

/**西域**/
UPDATE T_ISCB_CONNECTION_TYPE SET FINDEX = '302', FREMARK = '通过API域名、ClientID和SecretID等信息连接西域系统对外开放的接口平台实现集成。' WHERE FID = '1D474A0PP4PM';

/**哑连接**/
UPDATE T_ISCB_CONNECTION_TYPE SET FREMARK = '表达无任何固定连接信息的一类数据源，不依赖特定某类系统，例如用于纯粹的数据结构声明、接口定义或消息体的数据结构。以消息体的数据结构举例，任何系统都可以生产或者消费该信息，并不依赖于固定的系统，此时就适合把数据结构定义在哑连接下，而不是选择某类系统连接。' WHERE FID = '0XI/PBOYOR7P';