﻿/**Begin D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISC_CHECK_LOG', 'T_ISC_CHECK_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_CHECK_LOG') CREATE INDEX IDX_ISC_CHECK_LOG ON T_ISC_CHECK_LOG ( FCREATEDATE );
 
 EXEC P_ALTERPK 'PK_T_ISC_RES_EVT_BND', 'T_ISC_RES_EVT_BND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_BND_TRG') CREATE INDEX IDX_RES_BND_TRG ON T_ISC_RES_EVT_BND ( FTRIGGER ,FTRIGGER_TYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_BND_SCEM') CREATE INDEX IDX_RES_BND_SCEM ON T_ISC_RES_EVT_BND ( FEVT_SCHEMA ,FEVT_SCHEMA_TYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_BND_TM') CREATE INDEX IDX_RES_BND_TM ON T_ISC_RES_EVT_BND ( FCREATE_TIME  DESC );


 EXEC P_ALTERPK 'PK_T_ISC_RES_EVT_LOG', 'T_ISC_RES_EVT_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_LOG_SCM') CREATE INDEX IDX_RES_LOG_SCM ON T_ISC_RES_EVT_LOG ( FEVT_SCHEMA ,FEVT_SCHEMA_TYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_LOG_TRG') CREATE INDEX IDX_RES_LOG_TRG ON T_ISC_RES_EVT_LOG ( FTRIGGER ,FTRIGGER_TYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_LOG_SRC') CREATE INDEX IDX_RES_LOG_SRC ON T_ISC_RES_EVT_LOG ( FSRC_DATA_ID ,FSRC_DATA_TYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RES_LOG_TM') CREATE INDEX IDX_RES_LOG_TM ON T_ISC_RES_EVT_LOG ( FMODIFIED_TIME  DESC );
/**End D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_constraint.sql **/
