﻿/**Begin D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CHECK_LOG') 
 CREATE TABLE T_ISC_CHECK_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCONTENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_RES_EVT_BND') 
 CREATE TABLE T_ISC_RES_EVT_BND (
FID BIGINT DEFAULT 0 NOT NULL,
FREQUIRED_FIELDS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FREQUIRED_FIELDS_TAG NCLOB,
FCREATE_TIME DATETIME,
FTRIGGER BIGINT DEFAULT 0 NOT NULL,
FTRIGGER_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVT_SCHEMA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVT_SCHEMA BIGINT DEFAULT 0 NOT NULL,
FALL_EVT_SCHEMA CHAR(1) DEFAULT '0' NOT NULL,
FEVENTS VARCHAR(1024) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_RES_EVT_LOG') 
 CREATE TABLE T_ISC_RES_EVT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FEVT_SCHEMA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVT_SCHEMA BIGINT DEFAULT 0 NOT NULL,
FTRIGGER_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTRIGGER BIGINT DEFAULT 0 NOT NULL,
FMODIFIED_TIME DATETIME,
FCREATE_TIME DATETIME,
FDATA VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FERROR VARCHAR(255) DEFAULT ' ' NOT NULL,
FERROR_TAG NCLOB,
FSTATE VARCHAR(10) DEFAULT ' ' NOT NULL,
FACTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FTTL BIGINT DEFAULT 0 NOT NULL,
FSRC_DATA_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSRC_DATA_ID BIGINT DEFAULT 0 NOT NULL,
FPRIOR_ID BIGINT DEFAULT 0 NOT NULL,
FROOT_ID BIGINT DEFAULT 0 NOT NULL
);
/**End D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
