﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISC_DATARESULT', 'FCUSTOMIZE', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISC_DATAPARAM', 'FCUSTOMIZE', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_PUBLISHER') 
 CREATE TABLE T_ISCB_MQ_PUBLISHER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMQ_SERVER BIGINT DEFAULT 0 NOT NULL,
FFORMAT_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FFORMAT_SCRIPT_TAG NCLOB,
FCHARSET VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_PUBLISHER_L') 
 CREATE TABLE T_ISCB_MQ_PUBLISHER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_SERVER') 
 CREATE TABLE T_ISCB_MQ_SERVER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSERVER_IP VARCHAR(100) DEFAULT ' ' NOT NULL,
FSERVER_PORT BIGINT DEFAULT 0 NOT NULL,
FUSER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(100) DEFAULT ' ' NOT NULL,
FPASSWORD_ENP NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_SERVER_L') 
 CREATE TABLE T_ISCB_MQ_SERVER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_SUBSCRIBER') 
 CREATE TABLE T_ISCB_MQ_SUBSCRIBER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMQ_SERVER BIGINT DEFAULT 0 NOT NULL,
FSUB_IP_PERTTERN VARCHAR(500) DEFAULT ' ' NOT NULL,
FCHARSET VARCHAR(100) DEFAULT ' ' NOT NULL,
FPARSE_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL,
FPARSE_SCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_SUBSCRIBER_L') 
 CREATE TABLE T_ISCB_MQ_SUBSCRIBER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER_F') 
 CREATE TABLE T_ISC_DATA_COPY_TRIGGER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEFT_BRACKET VARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTER_COLUMN VARCHAR(300) DEFAULT ' ' NOT NULL,
FFILTER_LABEL VARCHAR(200) DEFAULT ' ' NOT NULL,
FCOMPARE VARCHAR(30) DEFAULT ' ' NOT NULL,
FVALUE_VAR VARCHAR(30) DEFAULT ' ' NOT NULL,
FVALUE_FIXED VARCHAR(510) DEFAULT ' ' NOT NULL,
FRIGHT_BRACKET VARCHAR(30) DEFAULT ' ' NOT NULL,
FLINK VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER' AND KSQL_COL_NAME ='FSOURCE_PROTOCAL') 
 ALTER TABLE T_ISC_DATA_COPY_TRIGGER ADD (FSOURCE_PROTOCAL VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER' AND KSQL_COL_NAME ='FSUBSCRIBER_QUEUE') 
 ALTER TABLE T_ISC_DATA_COPY_TRIGGER ADD (FSUBSCRIBER_QUEUE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER' AND KSQL_COL_NAME ='FTARGET_PROTOCAL') 
 ALTER TABLE T_ISC_DATA_COPY_TRIGGER ADD (FTARGET_PROTOCAL VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_TRIGGER' AND KSQL_COL_NAME ='FPUBLISHER_QUEUE') 
 ALTER TABLE T_ISC_DATA_COPY_TRIGGER ADD (FPUBLISHER_QUEUE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_DATA_PUBLISHED') 
 CREATE TABLE T_ISCB_MQ_DATA_PUBLISHED (
FID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHED_TIME DATETIME,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMESSAGE_SERVER BIGINT DEFAULT 0 NOT NULL,
FMESSAGE_QUEUE BIGINT DEFAULT 0 NOT NULL,
FDATA VARCHAR(510) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FSTACK_TRACE VARCHAR(510) DEFAULT ' ' NOT NULL,
FSTACK_TRACE_TAG NCLOB,
FPUBLISHER_SERVER VARCHAR(140) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_MQ_DATA_RECEIVED') 
 CREATE TABLE T_ISCB_MQ_DATA_RECEIVED (
FID BIGINT DEFAULT 0 NOT NULL,
FRECEIVED_TIME DATETIME,
FMESSAGE_QUEUE BIGINT DEFAULT 0 NOT NULL,
FMESSAGE_SERVER BIGINT DEFAULT 0 NOT NULL,
FDATA VARCHAR(510) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXECUTION BIGINT DEFAULT 0 NOT NULL,
FDISPOSED_TIME DATETIME,
FSTACK_TRACE VARCHAR(510) DEFAULT ' ' NOT NULL,
FSTACK_TRACE_TAG NCLOB,
FRECEIVER_SERVER VARCHAR(140) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
