﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/

EXEC P_ALTERPK 'PK_ISCB_MQ_BILL_DATA_PUB_F', 'T_ISCB_MQ_BILL_DATA_PUB_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_BD_PUB_F') CREATE INDEX IDX_ISCB_MQ_BD_PUB_F ON T_ISCB_MQ_BILL_DATA_PUB_F ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_ISCB_MQ_BILL_DATA_PUB_L', 'T_ISCB_MQ_BILL_DATA_PUB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_BD_PUB_L') CREATE INDEX IDX_ISCB_MQ_BD_PUB_L ON T_ISCB_MQ_BILL_DATA_PUB_L ( FID );


 EXEC P_ALTERPK 'PK_ISCB_MQ_BILL_DATA_PUB', 'T_ISCB_MQ_BILL_DATA_PUB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_MQ_BD_PUB') CREATE INDEX IDX_ISCB_MQ_BD_PUB ON T_ISCB_MQ_BILL_DATA_PUB ( FMETA_DATA ,FMESSAGE_QUEUE );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_META_OUT', 'T_ISCB_APIC_BY_META_OUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_META_OUT_FK') CREATE INDEX IDX_ISCB_APIC_BY_META_OUT_FK ON T_ISCB_APIC_BY_META_OUT ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_META_DATA', 'T_ISCB_APIC_BY_META_DATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_ISCB_APIC_BY_MASTER') CREATE INDEX T_ISCB_APIC_BY_MASTER ON T_ISCB_APIC_BY_META_DATA ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_ISCB_APIC_BY_NUMBER') CREATE INDEX T_ISCB_APIC_BY_NUMBER ON T_ISCB_APIC_BY_META_DATA ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_META_DATA_L', 'T_ISCB_APIC_BY_META_DATA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_SCHEMA_L') CREATE INDEX IDX_ISCB_APIC_BY_SCHEMA_L ON T_ISCB_APIC_BY_META_DATA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_META_IN', 'T_ISCB_APIC_BY_META_IN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_META_IN_FK') CREATE INDEX IDX_ISCB_APIC_BY_META_IN_FK ON T_ISCB_APIC_BY_META_IN ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_MQ_BILL_DATA_SUB', 'T_ISCB_MQ_BILL_DATA_SUB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NUM_BILL_DATA_SUB') CREATE INDEX IDX_NUM_BILL_DATA_SUB ON T_ISCB_MQ_BILL_DATA_SUB ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISCB_MQ_BILL_DATA_SUB_F', 'T_ISCB_MQ_BILL_DATA_SUB_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILL_DATA_SUB_F_FK') CREATE INDEX IDX_BILL_DATA_SUB_F_FK ON T_ISCB_MQ_BILL_DATA_SUB_F ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_MQ_BILL_DATA_SUB_L', 'T_ISCB_MQ_BILL_DATA_SUB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILL_DATA_SUB_L_0') CREATE INDEX IDX_BILL_DATA_SUB_L_0 ON T_ISCB_MQ_BILL_DATA_SUB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_MQ_BILL_DATA_SUB_O', 'T_ISCB_MQ_BILL_DATA_SUB_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILL_DATA_SUB_O_FK') CREATE INDEX IDX_BILL_DATA_SUB_O_FK ON T_ISCB_MQ_BILL_DATA_SUB_O ( FID );
 
 EXEC P_ALTERPK 'PK_ISCB_APIC_BY_DC_SCHEMA', 'T_ISCB_APIC_BY_DC_SCHEMA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_DC_SCHEMA') CREATE INDEX IDX_ISCB_APIC_DC_SCHEMA ON T_ISCB_APIC_BY_DC_SCHEMA ( FSCHEMA );


 EXEC P_ALTERPK 'PK_ISCB_APIC_BY_DC_SCHEMA_L', 'T_ISCB_APIC_BY_DC_SCHEMA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_DC_SCHEMA_L') CREATE INDEX IDX_ISCB_APIC_DC_SCHEMA_L ON T_ISCB_APIC_BY_DC_SCHEMA_L ( FID ,FNAME );


 EXEC P_ALTERPK 'PK_T_ISCB_VALUE_CONV_CACHE', 'T_ISCB_VALUE_CONV_CACHE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_VALUE_CONV_CACHE') CREATE INDEX IDX_ISCB_VALUE_CONV_CACHE ON T_ISCB_VALUE_CONV_CACHE ( FCONVERT_RULE ,FSRC );


 EXEC P_ALTERPK 'PK_T_ISCB_SERVER_INSTANCE', 'T_ISCB_SERVER_INSTANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIP_ISCB_SERVER') CREATE INDEX IDX_FIP_ISCB_SERVER ON T_ISCB_SERVER_INSTANCE ( FIP );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINSTANCE_ISCB_SERVER') CREATE UNIQUE INDEX IDX_FINSTANCE_ISCB_SERVER ON T_ISCB_SERVER_INSTANCE ( FINSTANCE_ID );


 EXEC P_ALTERPK 'PK_ISCB_BIZ_EXECUTION', 'T_ISCB_BIZ_EXECUTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_BIZ_EXECUTION') CREATE INDEX IDX_ISCB_BIZ_EXECUTION ON T_ISCB_BIZ_EXECUTION ( FNUMBER ,FSUBSCRIBER ,FDATA_SOURCE );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_BILL_LOG_TASK') CREATE INDEX IDX_ISCB_BILL_LOG_TASK ON T_ISCB_BILL_LOG_RELATION ( FTASK ,FROLE );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
