﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_ISC_JOB_INST', 'T_ISC_JOB_INST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_JOB_INST_1') CREATE INDEX IDX_ISC_JOB_INST_1 ON T_ISC_JOB_INST ( FTITLE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_JOB_INST_2') CREATE INDEX IDX_ISC_JOB_INST_2 ON T_ISC_JOB_INST ( FSCHEDULED_TIME  ASC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_JOB_INST_3') CREATE INDEX IDX_ISC_JOB_INST_3 ON T_ISC_JOB_INST ( FMODIFIED_TIME  DESC );


EXEC p_DropIdx 'IDX_ISC_DATA_COPY_EXECUTION_2', 'T_ISC_DATA_COPY_EXECUTION';
EXEC p_DropIdx 'IDX_ISC_DATA_COPY_EXECUTION_C', 'T_ISC_DATA_COPY_EXECUTION';
EXEC p_DropIdx 'IDX_ISC_DATA_COPY_EXECUTION_3', 'T_ISC_DATA_COPY_EXECUTION';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COPY_EXECUTION_M') CREATE INDEX IDX_ISC_DATA_COPY_EXECUTION_M ON T_ISC_DATA_COPY_EXECUTION ( FMODIFYTIME  DESC );

 EXEC P_ALTERPK 'PK_T_ISC_APIC_CATALOG', 'T_ISC_APIC_CATALOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_APIC_CATALOG_NUM') CREATE INDEX IDX_ISC_APIC_CATALOG_NUM ON T_ISC_APIC_CATALOG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_CATALOG_L', 'T_ISC_APIC_CATALOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_APIC_CATALOG_L_I') CREATE INDEX IDX_ISC_APIC_CATALOG_L_I ON T_ISC_APIC_CATALOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_GROUP', 'T_ISC_APIC_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_APIC_GROUP_N') CREATE INDEX IDX_ISC_APIC_GROUP_N ON T_ISC_APIC_GROUP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_APIC_GROUP_LN') CREATE INDEX IDX_ISC_APIC_GROUP_LN ON T_ISC_APIC_GROUP ( FLONGNUMBER ,FPARENTID );


 EXEC P_ALTERPK 'PK_T_ISC_APIC_GROUP_L', 'T_ISC_APIC_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_APIC_GROUP_L_LN') CREATE INDEX IDX_ISC_APIC_GROUP_L_LN ON T_ISC_APIC_GROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_SERVICE_FLOW', 'T_ISC_SERVICE_FLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_I') CREATE INDEX IDX_ISC_SERVICE_FLOW_I ON T_ISC_SERVICE_FLOW ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_M') CREATE INDEX IDX_ISC_SERVICE_FLOW_M ON T_ISC_SERVICE_FLOW ( FMODIFYTIME  DESC );


 EXEC P_ALTERPK 'PK_T_ISC_SERVICE_FLOW_L', 'T_ISC_SERVICE_FLOW_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_L_I') CREATE INDEX IDX_ISC_SERVICE_FLOW_L_I ON T_ISC_SERVICE_FLOW_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_SERVICE_FLOW_R', 'T_ISC_SERVICE_FLOW_R', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_R_N') CREATE INDEX IDX_ISC_SERVICE_FLOW_R_N ON T_ISC_SERVICE_FLOW_R ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_R_F_ID') CREATE INDEX IDX_ISC_SERVICE_FLOW_R_F_ID ON T_ISC_SERVICE_FLOW_R ( FFLOW_ID  DESC ,FVERSION  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_R_C') CREATE INDEX IDX_ISC_SERVICE_FLOW_R_C ON T_ISC_SERVICE_FLOW_R ( FCREATETIME  DESC );


 EXEC P_ALTERPK 'PK_T_ISC_SERVICE_FLOW_R_L', 'T_ISC_SERVICE_FLOW_R_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_R_L_I') CREATE INDEX IDX_ISC_SERVICE_FLOW_R_L_I ON T_ISC_SERVICE_FLOW_R_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_SERVICE_FLOW_RES', 'T_ISC_SERVICE_FLOW_RES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SERVICE_FLOW_RES_I') CREATE INDEX IDX_ISC_SERVICE_FLOW_RES_I ON T_ISC_SERVICE_FLOW_RES ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_SERVICE_FLOW_VAR', 'T_ISC_SERVICE_FLOW_VAR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SERVICE_FLOW_VAR_I') CREATE INDEX IDX_T_ISC_SERVICE_FLOW_VAR_I ON T_ISC_SERVICE_FLOW_VAR ( FID );


 EXEC P_ALTERPK 'PK_T_ISC_SF_PROC_INST', 'T_ISC_SF_PROC_INST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SF_PROC_INST_M') CREATE INDEX IDX_T_ISC_SF_PROC_INST_M ON T_ISC_SF_PROC_INST ( FMODIFIED_TIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SF_PROC_INST_N') CREATE INDEX IDX_T_ISC_SF_PROC_INST_N ON T_ISC_SF_PROC_INST ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_SF_PROC_LOG', 'T_ISC_SF_PROC_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SF_PROC_LOG_C') CREATE INDEX IDX_T_ISC_SF_PROC_LOG_C ON T_ISC_SF_PROC_LOG ( FCREATED_TIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_SF_PROC_LOG_P') CREATE INDEX IDX_T_ISC_SF_PROC_LOG_P ON T_ISC_SF_PROC_LOG ( FPROC_INST );


 EXEC P_ALTERPK 'PK_T_ISC_TYPE_SIMPLE_VALUE', 'T_ISC_TYPE_SIMPLE_VALUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_TYPE_SIMPLE_VALUE_N') CREATE INDEX IDX_T_ISC_TYPE_SIMPLE_VALUE_N ON T_ISC_TYPE_SIMPLE_VALUE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_TYPE_SIMPLE_VALUE_L', 'T_ISC_TYPE_SIMPLE_VALUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_ISC_T_S_V_L_I') CREATE INDEX IDX_T_ISC_T_S_V_L_I ON T_ISC_TYPE_SIMPLE_VALUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISCB_DATA_COPY_FN', 'T_ISCB_DATA_COPY_FN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DC_FN_FK') CREATE INDEX IDX_ISC_DC_FN_FK ON T_ISCB_DATA_COPY_FN ( FID );


 EXEC P_ALTERPK 'PK_T_ISCB_DATASCHEMA_FN', 'T_ISCB_DATASCHEMA_FN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DS_FN_FK') CREATE INDEX IDX_ISC_DS_FN_FK ON T_ISCB_DATASCHEMA_FN ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
