﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_JOB_INST') 
 CREATE TABLE T_ISC_JOB_INST (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPARAM VARCHAR(255) DEFAULT ' ' NOT NULL,
FTITLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FSCHEDULED_TIME DATETIME,
FSTARTED_TIME DATETIME,
FEND_TIME DATETIME,
FMODIFIED_TIME DATETIME,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FHOST VARCHAR(150) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_ISCB_APIC_BY_DC_TRIGGER_L', 'FNAME', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_CATALOG') 
 CREATE TABLE T_ISC_APIC_CATALOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FDEFINE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_CATALOG_L') 
 CREATE TABLE T_ISC_APIC_CATALOG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_GROUP') 
 CREATE TABLE T_ISC_APIC_GROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APIC_GROUP_L') 
 CREATE TABLE T_ISC_APIC_GROUP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SERVICE_FLOW') 
 CREATE TABLE T_ISC_SERVICE_FLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDEFINE_JSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FDEFINE_JSON_TAG NCLOB,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FIS_RELEASED CHAR(1) DEFAULT '0' NOT NULL,
FINIT_MODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SERVICE_FLOW_L') 
 CREATE TABLE T_ISC_SERVICE_FLOW_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SERVICE_FLOW_R') 
 CREATE TABLE T_ISC_SERVICE_FLOW_R (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FDEFINE_JSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FDEFINE_JSON_TAG NCLOB,
FFLOW_ID BIGINT DEFAULT 0 NOT NULL,
FINIT_MODE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SERVICE_FLOW_R_L') 
 CREATE TABLE T_ISC_SERVICE_FLOW_R_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SERVICE_FLOW_RES') 
 CREATE TABLE T_ISC_SERVICE_FLOW_RES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FRESOUCE BIGINT DEFAULT 0 NOT NULL,
FALIAS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SERVICE_FLOW_VAR') 
 CREATE TABLE T_ISC_SERVICE_FLOW_VAR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FIS_INPUT_PARAM CHAR(1) DEFAULT '0' NOT NULL,
FIS_OUTPUT_PARAM CHAR(1) DEFAULT '0' NOT NULL,
FIS_ARRAY CHAR(1) DEFAULT '0' NOT NULL,
FDEFAULT_VALUE NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SF_PROC_INST') 
 CREATE TABLE T_ISC_SF_PROC_INST (
FID BIGINT DEFAULT 0 NOT NULL,
FRELEASED_FLOW BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATED_TIME DATETIME,
FMODIFIED_TIME DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCONTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTEXT_TAG NCLOB,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SF_PROC_LOG') 
 CREATE TABLE T_ISC_SF_PROC_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FHOST_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROC_INST BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FCREATED_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_TYPE_SIMPLE_VALUE') 
 CREATE TABLE T_ISC_TYPE_SIMPLE_VALUE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRIORITY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_TYPE_SIMPLE_VALUE_L') 
 CREATE TABLE T_ISC_TYPE_SIMPLE_VALUE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY_PARAMS' AND KSQL_COL_NAME ='FIS_CUSTOMIZED') 
 ALTER TABLE T_ISCB_DATA_COPY_PARAMS ADD (FIS_CUSTOMIZED CHAR(1) DEFAULT '1' NOT NULL );
 EXEC p_AlterColumn 'T_ISC_DC_TRIGGER_PARAMS', 'FISCUSTOM', 'CHAR(1)', 'NOT NULL', '0001', '''1''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DATA_COPY_FN') 
 CREATE TABLE T_ISCB_DATA_COPY_FN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNCTION BIGINT DEFAULT 0 NOT NULL,
FFUNCTION_NUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNCTION_DESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_DATASCHEMA_FN') 
 CREATE TABLE T_ISCB_DATASCHEMA_FN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNCTION BIGINT DEFAULT 0 NOT NULL,
FFUNCTION_NUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNCTION_DESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
