﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISC_CAPI_BY_EVT', 'T_ISC_CAPI_BY_EVT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_AEVT_NUM') CREATE INDEX IDX_ISC_AEVT_NUM ON T_ISC_CAPI_BY_EVT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_CAPI_BY_EVT_L', 'T_ISC_CAPI_BY_EVT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_A_EVT_L_0') CREATE INDEX IDX_ISC_A_EVT_L_0 ON T_ISC_CAPI_BY_EVT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_CAPI_BY_MQ', 'T_ISC_CAPI_BY_MQ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_AMQ_NUM') CREATE INDEX IDX_ISC_AMQ_NUM ON T_ISC_CAPI_BY_MQ ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_CAPI_BY_MQ_L', 'T_ISC_CAPI_BY_MQ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_A_MQ_L_0') CREATE INDEX IDX_ISC_A_MQ_L_0 ON T_ISC_CAPI_BY_MQ_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_APP_PARAMS', 'T_ISC_APP_PARAMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_APP_PARAMS_1') CREATE INDEX IDX_ISC_APP_PARAMS_1 ON T_ISC_APP_PARAMS ( FMODIFIED_TIME );


 EXEC P_ALTERPK 'PK_T_ISC_API_EVT_FIELDS', 'T_ISC_API_EVT_FIELDS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_API_EVT_FS_FK') CREATE INDEX IDX_ISC_API_EVT_FS_FK ON T_ISC_API_EVT_FIELDS ( FID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COPY_EXECUTION_3') CREATE INDEX IDX_ISC_DATA_COPY_EXECUTION_3 ON T_ISC_DATA_COPY_EXECUTION ( FPARENT_EXECUTION );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_LOOKUP_TID') CREATE INDEX IDX_ISCB_LOOKUP_TID ON T_ISCB_OID_LOOKUP ( FTARGET_OID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
