﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CAPI_BY_EVT') 
 CREATE TABLE T_ISC_CAPI_BY_EVT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMETASCHEMA BIGINT DEFAULT 0 NOT NULL,
FEVENTS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FAPI_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPI BIGINT DEFAULT 0 NOT NULL,
FCALLER BIGINT DEFAULT 0 NOT NULL,
FFORMAT_SCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMAT_SCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CAPI_BY_EVT_L') 
 CREATE TABLE T_ISC_CAPI_BY_EVT_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CAPI_BY_MQ') 
 CREATE TABLE T_ISC_CAPI_BY_MQ (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSUBSCRIBER BIGINT DEFAULT 0 NOT NULL,
FAPI_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPI BIGINT DEFAULT 0 NOT NULL,
FCALLER BIGINT DEFAULT 0 NOT NULL,
FFORMAT_SCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMAT_SCRIPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_CAPI_BY_MQ_L') 
 CREATE TABLE T_ISC_CAPI_BY_MQ_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_APP_PARAMS') 
 CREATE TABLE T_ISC_APP_PARAMS (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FMODIFIER BIGINT DEFAULT 1 NOT NULL,
FMODIFIED_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_SERVICE_FLOW_RES' AND KSQL_COL_NAME ='FRES_SOURCE_TEXT') 
 ALTER TABLE T_ISC_SERVICE_FLOW_RES ADD (FRES_SOURCE_TEXT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_API_EVT_FIELDS') 
 CREATE TABLE T_ISC_API_EVT_FIELDS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATA_TYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
