﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_ISC_SCHEMA_ENPT_LOG', 'T_ISC_SCHEMA_ENPT_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_SHCEMA_ET') CREATE INDEX IDX_ISC_SHCEMA_ET ON T_ISC_SCHEMA_ENPT_LOG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_SF', 'T_ISCB_APIC_BY_SF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_SF') CREATE UNIQUE INDEX IDX_ISCB_APIC_BY_SF ON T_ISCB_APIC_BY_SF ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISCB_APIC_BY_SF_L', 'T_ISCB_APIC_BY_SF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCB_APIC_BY_SF_L_0') CREATE INDEX IDX_ISCB_APIC_BY_SF_L_0 ON T_ISCB_APIC_BY_SF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_COMP', 'T_ISC_DATA_COMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COMP2') CREATE UNIQUE INDEX IDX_ISC_DATA_COMP2 ON T_ISC_DATA_COMP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_COMP_EXE', 'T_ISC_DATA_COMP_EXE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COMP_EXE2') CREATE INDEX IDX_ISC_DATA_COMP_EXE2 ON T_ISC_DATA_COMP_EXE ( FDATA_COMP );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_COMP_EXE_DET', 'T_ISC_DATA_COMP_EXE_DET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COMP_EXE_DET2') CREATE INDEX IDX_ISC_DATA_COMP_EXE_DET2 ON T_ISC_DATA_COMP_EXE_DET ( FDATA_COMP_EXE );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_COMP_FILTER', 'T_ISC_DATA_COMP_FILTER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COMP_FILTER') CREATE UNIQUE INDEX IDX_ISC_DATA_COMP_FILTER ON T_ISC_DATA_COMP_FILTER ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_COMP_L', 'T_ISC_DATA_COMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COMP_L') CREATE INDEX IDX_ISC_DATA_COMP_L ON T_ISC_DATA_COMP_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_COMP_PARAMS', 'T_ISC_DATA_COMP_PARAMS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_COMP_PARAMS') CREATE UNIQUE INDEX IDX_ISC_DATA_COMP_PARAMS ON T_ISC_DATA_COMP_PARAMS ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_ISC_DATA_EXE_PARAMS', 'T_ISC_DATA_EXE_PARAMS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_DATA_EXE_PARAMS') CREATE UNIQUE INDEX IDX_ISC_DATA_EXE_PARAMS ON T_ISC_DATA_EXE_PARAMS ( FID ,FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_constraint.sql **/
