﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FPREPARE_TIME')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FPREPARE_TIME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FREAD_TIME')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FREAD_TIME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FCONVERT_TIME')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FCONVERT_TIME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FLOAD_TIME')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FLOAD_TIME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FREAD_BYTES')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FREAD_BYTES BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISC_DATA_COPY_EXECUTION' AND KSQL_COL_NAME IN ('FLOAD_BYTES')) 
 ALTER TABLE T_ISC_DATA_COPY_EXECUTION ADD (FLOAD_BYTES BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_UNITTEST_DEMO_BASE_L') 
 CREATE TABLE T_ISC_UNITTEST_DEMO_BASE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_UNITTEST_DEMO_BILL') 
 CREATE TABLE T_ISC_UNITTEST_DEMO_BILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTESTBASE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_UNITTEST_ENTRY') 
 CREATE TABLE T_ISC_UNITTEST_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAMEFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAGEFIELD BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_UNITTEST_DEMO_BASE') 
 CREATE TABLE T_ISC_UNITTEST_DEMO_BASE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME IN ('FREADER_SCRIPT')) 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FREADER_SCRIPT VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCB_DATA_COPY' AND KSQL_COL_NAME IN ('FREADER_SCRIPT_TAG')) 
 ALTER TABLE T_ISCB_DATA_COPY ADD (FREADER_SCRIPT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_STATISTICS') 
 CREATE TABLE T_ISC_STATISTICS (
FID BIGINT DEFAULT 0 NOT NULL,
FDAY DATETIME,
FSCHEMA BIGINT DEFAULT 0 NOT NULL,
FTRIGGER BIGINT DEFAULT 0 NOT NULL,
FREAD_BYTES BIGINT DEFAULT 0 NOT NULL,
FLOAD_BYTES BIGINT DEFAULT 0 NOT NULL,
FTOTAL_BYTES BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISCB_table.sql **/
